# Class InternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.InternalException

All Implemented Interfaces:
  `Serializable`

public class InternalException extends RuntimeException
Thrown to indicate that an unexpected internal error has occurred.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalException()`
  `InternalException(int errorCode)`
  `InternalException(String s)`
  `InternalException(String s, int errorCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `errorCode()`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InternalException

    public InternalException()

  - ### InternalException

    public InternalException(String s)

  - ### InternalException

    public InternalException(int errorCode)

  - ### InternalException

    public InternalException(String s, int errorCode)

- ## Method Details

  - ### errorCode

    public int errorCode()